/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.PurpleHeart;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface PurpleHeartMetaData
    extends DecorationMetaData
{
    public PurpleHeart getEntity();

    public void setEntity(PurpleHeart entity);

    public String getIndicator();

    public String getRejectionRemark();

    public String getStatus();
    
    public String getFacility();
}